Resolved Mac Client - Update Java to latest version, already have it

Discussion in 'Client & Site Support' started by creativeself, Jul 18, 2015.

  1. As the title says I am launching runemate client through the terminal (want to run a script bot i made) and it says please update java to latest version. My java is already at the latest version.
    [​IMG]
    [​IMG]

     
  2. Best Answer:
    Post #9 by creativeself, Jul 18, 2015
  3. What are you putting in the terminal?
     
  4. java -jar RuneMate.jar
    I think i need a different command since I am trying to run a local script bot
     
  5. -sdk at the end to run local bots
    --- Double Post Merged, Jul 18, 2015, Original Post Date: Jul 18, 2015 ---
    what IDE are you using?
     
  6. Problem still persists
    --- Double Post Merged, Jul 18, 2015, Original Post Date: Jul 18, 2015 ---
    I am using Netbeans. The script bot is on my desktop, its a client related problem. The second I run the client through terminal it says my java is outdated.
    --- Double Post Merged, Jul 18, 2015 ---
    I know I need to move it somewhere else (i think)
     
  7. I'm on a mac, but I use intellij. Netbeans and Eclipse would always give me problems
     
  8. The problem I am facing has nothing to do with the IDE, its just that I cannot run RuneMate through terminal without receiving the outdated message. I know intellij is prefered for development tho, but don't have space for it on my laptop
     
  9. Maybe osx isn't set to use the latest version you installed, try updating that with this command:

    Code (Text):
    1. export JAVA_HOME="`/usr/libexec/java_home -v '1.8*'`"
    If that doesn't work, try setting it through this command:

    Code (Text):
    1. export JAVA_HOME=/Library/Java/JavaVirtualMachines/YOUR_JAVA_VERSION
     
  10. Tried both, yet problem still persists
    --- Double Post Merged, Jul 18, 2015, Original Post Date: Jul 18, 2015 ---
    I'm such a fool, my JRE is at version 8.51 but the JDK was still at 8.31; hence not being able to run the bot in dev mode. It would be useful for the client to specify whether your JDK or JRE is outdated.
     

Share This Page

Loading...